Bug 1414766 - Sudo doesnt support GUIs after Fedora update !!
Summary: Sudo doesnt support GUIs after Fedora update !!
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: sudo
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Radovan Sroka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1403041 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 11:56 UTC by Mosaab Alzoubi
Modified: 2017-11-08 14:48 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-08 14:46:14 UTC
Type: Bug


Attachments (Terms of Use)

Description Mosaab Alzoubi 2017-01-19 11:56:58 UTC
Description of problem:
When install Fedora 25, Sudo supports run GUIs. But after update it doesnt!!

This is message for (sudo nautilus):

>[moceap@localhost ~]$ sudo nautilus
>[sudo] password for moceap: 
>No protocol specified
>Unable to init server: Could not connect: Connection refused
>
>(nautilus:3749): Gtk-WARNING **: cannot open display: :0


Version-Release number of selected component (if applicable):
1.8.18p1-1.fc25

How reproducible:


Steps to Reproduce:
1. Install Fedora 25
2. Update by (dnf update)
3. Run any GUI by sudo like (sudo nautilus)

Actual results:
GUI not run!!!

Expected results:
GUI run with sudo rules.

Additional info:
I asked for Wayland bugs, they said it's not from Wayland.
https://bugs.freedesktop.org/show_bug.cgi?id=99371

Comment 1 Radovan Sroka 2017-10-23 11:23:06 UTC
It seems like it is working now in latest fedora.

Comment 2 Radovan Sroka 2017-10-23 11:26:05 UTC
*** Bug 1403041 has been marked as a duplicate of this bug. ***

Comment 3 Mosaab Alzoubi 2017-11-01 18:57:36 UTC
My Fedora is 26 , up to date ..

Anf bug still found .

Comment 4 Radovan Sroka 2017-11-02 10:01:20 UTC
So tell me what are you using. 

Wayland? Gnome?

Is it default sudoers or not?

It is working for me. I have default sudoers/Xorg/awesome windows manager. It's Fedora26 x86_64.

Comment 5 Radovan Sroka 2017-11-06 13:12:47 UTC
BTW:

xhost +local:

should resolve this issue.

Comment 6 Mosaab Alzoubi 2017-11-06 21:18:08 UTC
It's not enough

Comment 7 Radovan Sroka 2017-11-08 14:46:14 UTC
Here is an explanation why is that so:

https://bugzilla.gnome.org/show_bug.cgi?id=772875

I'm closing this bugzilla as NOTABUG.

Comment 8 Radovan Sroka 2017-11-08 14:48:06 UTC
If you want to use Nautilus and access root-owned files, you can use the `admin:` URI
It'll do a privilege escalation without running the whole app as root
Additionally, any GTK application will be able to open root-owned files when using the `admin:` URI


Note You need to log in before you can comment on or make changes to this bug.